using Tiobon.Core.Model;

namespace Tiobon.Core.IServices;

/// <summary>
/// 问卷题库(自定义服务接口)
/// </summary>	
public interface IGhre_SurveyQuestionPoolServices : IBaseServices<Ghre_SurveyQuestionPool, Ghre_SurveyQuestionPoolDto, InsertGhre_SurveyQuestionPoolInput, EditGhre_SurveyQuestionPoolInput>
{
    Task<ServiceResult> UpdateFrom(long Id, FromGhre_SurveyQuestionPoolPageData editModel);

    Task<ServiceResult> InsertFrom(FromGhre_SurveyQuestionPoolPageData insertModel);

    Task<ServiceResult<FromGhre_SurveyQuestionPoolInput>> QueryFrom(long Id);
}